petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESNGSFunction

function used to convey a Gauss-Seidel sweep on the nonlinear function

### Synopsis

    #include <petscsnes.h>
    $    SNESNGSFunction(SNES snes,Vec x,Vec b,void *ctx);

Collective on snes

### Input Parameters

| X | - solution vector
| B | - RHS vector
| ctx | - optional user-defined Gauss-Seidel context

### Output Parameter

X -solution vector

### See Also

SNESSetNGS(), SNESGetNGS()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages